Subject: Re: [msysGit] [PATCH bc/connect-plink] t5601-clone: remove broken and pointless check for plink.exe

From: Junio C Hamano <[email-masked]>
Date: Tue, 11 Aug 2015 15:56:08 -0700

Eric Sunshine <[email-masked]> writes:

> On Tue, Aug 11, 2015 at 4:51 PM, Johannes Sixt <[email-masked]> wrote:
>> Invoking plink requires special treatment, and we have support and even
>> test cases for the commands 'plink' and 'tortoiseplink'. We also support
>> .exe variants for these two and there is a test for 'plink.exe'.
>>
>> On Windows, however, where support for plink.exe would be relevant, the
>> test case fails because it is not possible to execute a file with a .exe
>> extension that is actually not a binary executable---it is a shell
>> script in our test. We have to disable the test case on Windows.
>>
>> Considering, that 'plink.exe' is irrelevant on non-Windows, let's just
>> remove the test and assume that the code "just works".
>
> putty and plink are used on Unix as well. A quick check of Mac OS X,
> Linux, and FreeBSD reveals that package managers on each platform have
> putty and plink packages available.

But they do not force their users to say "plink.exe", but instead
let them invoke "plink", no?

The test before the one that was removed is about "plink" (sans .exe),
and what was removed is with ".exe", so I think J6t's patch is OK.

Or am I still missing something?

>
>> Signed-off-by: Johannes Sixt <[email-masked]>
>> ---
>>  t/t5601-clone.sh | 6 ------
>>  1 file changed, 6 deletions(-)
>>
>> diff --git a/t/t5601-clone.sh b/t/t5601-clone.sh
>> index 9b34f3c..df69bf6 100755
>> --- a/t/t5601-clone.sh
>> +++ b/t/t5601-clone.sh
>> @@ -353,12 +353,6 @@ test_expect_success 'plink is treated specially (as putty)' '
>>         expect_ssh "-P 123" myhost src
>>  '
>>
>> -test_expect_success 'plink.exe is treated specially (as putty)' '
>> -       copy_ssh_wrapper_as "$TRASH_DIRECTORY/plink.exe" &&
>> -       git clone "[myhost:123]:src" ssh-bracket-clone-plink-1 &&
>> -       expect_ssh "-P 123" myhost src
>> -'
>> -
>>  test_expect_success 'tortoiseplink is like putty, with extra arguments' '
>>         copy_ssh_wrapper_as "$TRASH_DIRECTORY/tortoiseplink" &&
>>         git clone "[myhost:123]:src" ssh-bracket-clone-plink-2 &&
>> --
>> 2.3.2.245.gb5bf9d3
> --
> To unsubscribe from this list: send the line "unsubscribe git" in
> the body of a message to [email-masked]
> More majordomo info at  http://vger.kernel.org/majordomo-info.html